function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
add_free_leaf("map22",21,101);
set_satelite_leaf("kabinet");
DoFile(21,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
     if sender==35 then
          if obj_id==270 then
    StartAnimation(270,0,3)
  return; end;
    if obj_id==631 then
      StartAnimation(631,0,3)
    return; end;
    if obj_id==201 then
      StartAnimation(201,0,3)
    return; end;
  return;end;
  if sender==15 then
    if obj_id==2111 then
        CreateWindow(150,250,"201",nil,nil,250,30);  
    return; end;  
  return; end;
  if sender==12 then
    if flags.all then
    if flags.phone then
    flags.all= false;
  flags.levelcomplete=true;
  DarkScreen(true);
  ShowMenu(false)
    return; end;
         
    return;end;
  return;end;
if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
      AddParticleToObject(12,"letter",365-114,505-24);
      MoveEmiter("letter",365-114,505-24);
      if (not flags.minicomplete12)then
      StartEmiter("letter");
      end;
    return;end;     
    if obj_id==503 then --название уровня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале уровня ----
      ShowMenu(true);
      savegame(SaveLevel());
       --CreateWindow(150,250,"198");             
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
      if obj_id==40 then
            if flags.minicomplete12 and (not flags.minicomplete50) then  
           if attachedID == -1 then 
            ShowMenu(false);
            add_free_leaf("comics",21,50);
            set_satelite_leaf("kabinet");
            DoFile(21,50)
            
            StopEmiter("tel");
            Set_Cursor(40,3)
           return; end;
          if attachedID == -1 then
            CreateWindow(150,250,"201",nil,nil,250,30);
           return; end;           
      return; end;
      return; end;

      if attachedID == -1 then
      if obj_id==501 then
  --        if whole_darkness then
          if flags.levelcomplete then
        delete_tree_leaf("Root","kabinet");-- Добавляет лист в дерево 
        setnextlavel(22);
        loadlavel();
          return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;        
      if obj_id==2111 then
        speciale_action(2,2111,true);
      return; end;  
        if obj_id==12 then --стол
          if (not flags.minicomplete12)then
            StopEmiter("letter");
            collaps_obj(66,0,0,0,0); --визитка
            playeffect("20");
            setcolor(66,0,0,0,0.5,1);
            Set_Cursor(12,3);
            Set_Cursor(40,2);
            AddParticleToObject(40,"tel",335,448);
            MoveEmiter("tel",335,448);
            if (not flags.minicomplete50) then
              StartEmiter("tel");
            end;  
            flags.minicomplete12= true;
            speciale_action(2,2111,true);
          return; end;
        return; end;      
      if obj_id > 0 and obj_id < 200 and attachedID == -1 then--кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
    return; end;  
  return; end;

  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;

-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev21.0".." "..sender.."\n")
    flags.all=true;     
  
  return; end;  
------------------------------------------------------------------------------------------------------------------  

end
function SelectRandom()
  idObject=GetRandomObject();
  if idObject==66 then
    selectrandomobject(1.5,12);
  return;end;
  if flags.minicomplete12 then
    selectrandomobject(1.5,40);
  return;end;
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
    if idObject==66 then
      selectrandomobject(1.5,12);
return;end;
  selectrandomobject(1.5,idObject);
end;
